# GstVideoDirection

The interface allows unified access to control flipping and rotation operations of video-sources or operators.

## GstVideoDirection

Opaque GstVideoDirection data structure.

Since : 1.10

## GstVideo.VideoDirection

Opaque GstVideo.VideoDirection data structure.

Since : 1.10

## GstVideo.VideoDirection

Opaque GstVideo.VideoDirection data structure.

Since : 1.10

### Properties

#### video-direction

    “video-direction” GstVideoOrientationMethod *

Flags : Read / Write / Construct

#### video-direction

    “video-direction” GstVideo.VideoOrientationMethod

Flags : Read / Write / Construct

#### video_direction

    “self.props.video_direction” GstVideo.VideoOrientationMethod

Flags : Read / Write / Construct

## Function Macros

### GST_VIDEO_DIRECTION_GET_INTERFACE

    #define GST_VIDEO_DIRECTION_GET_INTERFACE(inst) \
      (G_TYPE_INSTANCE_GET_INTERFACE ((inst), GST_TYPE_VIDEO_DIRECTION, GstVideoDirectionInterface))

## Constants

### GST_TYPE_VIDEO_DIRECTION

    #define GST_TYPE_VIDEO_DIRECTION \
      (gst_video_direction_get_type ())

The results of the search are